WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] MySql 5.0.15 (9 posts)

  1. peluso14
    Member
    Posted 8 years ago #

    I am running a new install, and I am having various errors in WordPress uner MySql 5.0.15, such as

    WordPress database error: [Out of range value adjusted for column 'user_icq' at row 1]

    Secondly no posts ever show on the site, is there a way to enable backward compaitablity for wordpress under the new MySql.

    Any help would be very appericiated.

  2. vkaryl
    Member
    Posted 8 years ago #

    Don't know as yet, will be grabbing the new XAMPP with the latest versions later tonight and after install, I'll have a better idea what to tweak and where.

  3. peluso14
    Member
    Posted 8 years ago #

    It would seem removing STRICT_TRANS_TABLES,NO_ENGINE_SUBSTITUTION from the sql_mode fixes all the issues, or atleast the ones I found.

  4. LibertyBell
    Member
    Posted 8 years ago #

    It also works on my wordpress.

    PHP = 5.0.5 apache2handler
    Server = Apache/2.0.54 (Win32) PHP/5.0.5
    Database = mysql 5.0.13-rc-nt-max

  5. dr_njt
    Member
    Posted 8 years ago #

    Yeah works fine with me.

    You need to disable Strict Mode in MySQL 5. If you have already installed MySQL 5 goto Start-->MySQL-->Server Config Wizard. Follow through the detailed config steps and deselect 'Enable Strict Mode'.

  6. mayvelous
    Member
    Posted 8 years ago #

    I'm getting the similar error
    WordPress database error: [Out of range value adjusted for column 'user_Id' at row 1]

    I tried deselecting 'Enable Strict Mode', not working. :(
    Anymore suggestions?

  7. packetrat
    Member
    Posted 8 years ago #

    I disabled strict, and still get this error on the homepage (though I get no errors on install):

    WordPress database error: [Unknown column 'publish' in 'where clause']
    SELECT DISTINCT * FROM wp_posts WHERE 1=1 AND post_date_gmt <= '2005-12-09 14:33:59' AND (post_status = "publish" OR post_author = 1 AND post_status != 'draft' AND post_status != 'static') GROUP BY wp_posts.ID ORDER BY post_date DESC LIMIT 0, 10

    Any ideas?

  8. trippfoxx
    Member
    Posted 8 years ago #

    This might be a gentler solution to disabling strict for the entire MySQL5 server, which might not be appropriate in all situations ...

    http://wordpress.org/support/topic/48940#post-283862

  9. jesseclark
    Member
    Posted 8 years ago #

    I can't get WordPress to connect to the database using WP v2.0.2, MySQL 5.0.19-nt, PHP 5.1.2, and Apache 2.0.55.

    I get the wordpress error page "Error establishing a database connection" when trying to run the install script.

    I can connect to the wordpress database using the exact username and pw from the config through the mysql command line client and through a test script using the mysqli functions:
    $mysqli = new mysqli('localhost','wordpress','wordpress');
    $mysqli->select_db('wordpress');

    $result = $mysqli->query("SELECT * FROM mytest");

    I have also tried disabling mysql strict mode with no effect.

    I don't see any errors in the apache 2 error log.

    Any suggestions?

Topic Closed

This topic has been closed to new replies.

About this Topic